org.apache.cassandra.cql3.statements

## Class ColumnGroupMap.Builder

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ColumnGroupMap.Builder

- Enclosing class:
    ColumnGroupMap

      public static class ColumnGroupMap.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnGroupMap.Builder(CompositeType composite, boolean hasCollections)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(IColumn c)`
    `java.util.List<ColumnGroupMap>` | `groups()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnGroupMap.Builder

          public ColumnGroupMap.Builder(CompositeType composite,
                                boolean hasCollections)

  - ### Method Detail

    - #### add

          public void add(IColumn c)

    - #### groups

          public java.util.List<ColumnGroupMap> groups()

Copyright © 2014 The Apache Software Foundation